Configure Eclipse 4.2 (Juno) for Notes 9

Yesterday after publishing my updated article on configuring Eclipse 3.5 for Notes 9 I wondered why I was still using such an old Eclipse build. Now Lotus Expeditor and hence Notes is still based on Eclipse 3.4 but since we develop for what’s called a target platform that shouldn’t matter so I wanted to move to Eclipse 4. So I grabbed Eclipse 4.2 (Juno) from and started configuring (of course capturing what I learned). The steps are actually remarkably similar to Eclipse 3.5 (with some slight changes) so now I’m using a new Eclipse build with all the functionality benefits (the New and Noteworty page outlines many nice features) it provides plus the updated look’n’feel.

I’ve captured the steps into a new page called Configure Eclipse 4.2 for Notes 9. The page also contains a video walkthrough now (rather rough) but it shows what’s involved. The video is about 5 minutes long.

Happy coding.

11 thoughts on “Configure Eclipse 4.2 (Juno) for Notes 9”

  1. Thanks, this was just what I needed.  It’s great to be on a newer version of Eclipse after being stuck at 3.4.2 for so long! 

    I don’t suppose you have similar instructions for setting up a Sametime target environment?  I prefer to develop plugins against Sametime because it’s more lightweight.


  2. Hi Mikkel!

    Thank you for your great howto. Maybe you should add one small detail. At the configuration of the rcp.home variable the path should be under quotation marks. It was no problem in your environment, but when Notes 9 is installed in the default path "c:Program Files(x86)…." you will get a "ClassNotFoundException Files" on the start of Lotus Notes. This is caused by the space in the path name.



    P.S. Thanks for the mention of my blog.



  3.  I don’t but the process is very similar as Sametime is also Expeditor based. Just set the target platform for the same directory underneath Sametime install directory and you should be all set. Also make sure to set the "product" in the run configuration. Good luck and let me know how it goes. 


  4.  hi, you forgot to update the guide to say that if the Notes install directory contains a space, then the rcp.home variable should be in double quotes.  I don’t mean to nag, but these comments are not easily reached from the actual blog page…


  5. Hi Mikkel,

    thank you very much for your tutorial. I am trying to set it up on Linux (Ubuntu 12.04). Everything seems to be the same except for the pathnames using a / instead of a . However when I try to run it I get a lot of error messages in the console. The first one and main cause seems to be the following. Do you have any idea what might cause this and what I need to change? Many thanks in advance for your support.

    <pre>May 15, 2013 5:13:26 PM initializeSecurity

    SEVERE: CWPLF0012E: The security provider defined by preference failed to load. 

    Throwable occurred: java.lang.ClassNotFoundException:

        at java.lang.Class.forName(



        at org.eclipse.osgi.framework.internal.core.BundleContextImpl$


        at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(

        at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(

        at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(

        at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(

        at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(

        at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(

        at org.eclipse.osgi.framework.eventmgr.EventManager$



  6.  When I’ve seen errors like this it usually means that the install_id is incorrect or the wrong config.ini file is referenced. You’ve probably already done this but I recommend you double, and then tripple check your setup. Sorry I’m not able to be more precise.


  7. Appreciate your work and this guide. Up and running will little to no issue. Have my env set and was able to continue work on my plugin.

    Thanks again,



  8. Hello I am still struggling to do Lotus agent dev on OSX(MAc using Lotus 8.5.3 and Eclipse Juno

    I can do the agent inside Lotus but never found a tutorial to do it in Eclipse …

    Would you have any clues ? 

     Many thanks 


Comments are closed.